<app-loader *ngIf="isLoad">  </app-loader>

<form #appForm="ngForm">
	<div class="mb-20">
		<button mat-flat-button
			(click)="save(appForm)"
			[disabled]="appForm.invalid || !appForm.dirty"
			class="mr-8"
			color="primary">Сохранить изменения
		</button>

		<button mat-stroked-button
			[disabled]="!appForm.dirty"
			(click)="cancel()"
			color="primary">
			Отменить изменения
		</button>
	</div>


	<div *ngIf="error && !isLoad">
		<i>{{error}}</i>
	</div>

	<div *ngIf="application">
			<mat-card class="art-card">
				<div  fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
					<mat-form-field appearance="fill" fxFlex="50" fxFlex.lt-md="100" >
						<mat-label>UID</mat-label>
						<input matInput [(ngModel)]="application.uid" name="uid" appNullValue>
					</mat-form-field>
					<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100" >
						<mat-label>Рейтинг заявления</mat-label>
						<input matInput [(ngModel)]="application.rating" name="rating">
					</mat-form-field>
					<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100" >
						<mat-label>Приоритет заявления</mat-label>
						<input matInput appInteger [(ngModel)]="application.priority" name="priority">
					</mat-form-field>
				</div>

				<div fxLayout="column" fxLayoutGap="16px">
					<mat-checkbox [(ngModel)]="application.first_higher_education"
						[disabled]="true"
						[disableRipple]="true"
						(click)="$event.preventDefault()" name="first_higher_education" > Первое высшее образование</mat-checkbox>


					<mat-checkbox [(ngModel)]="application.original" name="original"> Оригинал документа об образовании </mat-checkbox>
					<ng-container *ngIf="application.original === true || application_c.original_doc">
						<div>
							<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100" >
								<mat-label>Дата получения оригиналов документов</mat-label>
								<input matInput [matDatepicker]="pickerOriginalDoc"
									[(ngModel)]="application.original_doc"
									[disabled]="application.return_date && !application.original"
									name="original_doc" required>
								<mat-datepicker-toggle matSuffix [for]="pickerOriginalDoc"></mat-datepicker-toggle>
								<mat-datepicker #pickerOriginalDoc></mat-datepicker>
							</mat-form-field>
						</div>
					</ng-container>

					<ng-container *ngIf="application.original === false && application_c.original_doc">
						<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="16px">
							<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100" >
								<mat-label>Дата возврата оригиналов документов</mat-label>
								<input matInput [matDatepicker]="pickerReturnDate"
									[(ngModel)]="application.return_date" name="return_date" required>
								<mat-datepicker-toggle matSuffix [for]="pickerReturnDate"></mat-datepicker-toggle>
								<mat-datepicker #pickerReturnDate></mat-datepicker>
							</mat-form-field>
							<mat-form-field appearance="fill" fxFlex="">
								<mat-label> Способ возврата оригиналов документов</mat-label>
								<mat-select [(ngModel)]="application.id_return_type" name="return_type" required >
									<mat-option *ngFor="let item of cls.return_types.data" [value]="item.id">
										{{item.name}}
									</mat-option>
								</mat-select>
							</mat-form-field>
						</div>
					</ng-container>

					<mat-checkbox [(ngModel)]="application.agreed"
						[disabled] = 'application_c.agreed === true'
						name="agreed"> Согласие на зачисление </mat-checkbox>
					<ng-container *ngIf="application.agreed === true">
						<div>
							<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100" >
								<mat-label>Дата получения согласия</mat-label>
								<input matInput [matDatepicker]="pickerAgreedDate"
									[(ngModel)]="application.agreed_date"
									[disabled] = '!((application.agreed && !application_c.agreed) || (application_c.disagreed && !application.disagreed))'
									name="agreed_date"
									required>
								<mat-datepicker-toggle matSuffix [for]="pickerAgreedDate"></mat-datepicker-toggle>
								<mat-datepicker #pickerAgreedDate></mat-datepicker>
							</mat-form-field>
						</div>

						<mat-checkbox [(ngModel)]="application.disagreed" name="disagreed"> Отзыв согласия на зачисление </mat-checkbox>

						<ng-container *ngIf="application.disagreed">
							<div>
								<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100">
									<mat-label>Дата отзыва согласия</mat-label>
									<input matInput [matDatepicker]="pickerDisagreedDate"
										[(ngModel)]="application.disagreed_date"
											[disabled]="!(!application_c.disagreed && application.disagreed)"
										name="disagreed_date"
										required>
									<mat-datepicker-toggle matSuffix [for]="pickerDisagreedDate"></mat-datepicker-toggle>
									<mat-datepicker #pickerDisagreedDate></mat-datepicker>
								</mat-form-field>

							</div>

						</ng-container>

					</ng-container>

					<hr>


					<mat-checkbox [(ngModel)]="application.need_hostel" name="need_hostel"> Необходимость общежития</mat-checkbox>
					<mat-checkbox [(ngModel)]="application.distance_test" name="distance_test"> Проведение ВИ с использованием дистанционных технологий</mat-checkbox>

					<mat-form-field appearance="fill" fxFlex="">
						<mat-label> Место проведения ВИ с использованием дистанционных технологий </mat-label>
						<textarea matInput [(ngModel)]="application.distance_place" name="distance_place"></textarea>
					</mat-form-field>

					<mat-checkbox  [(ngModel)]="application.special_conditions" name="special_conditions"> Проведение ВИ с созданием специальных условий</mat-checkbox>
				</div>

			</mat-card>

	</div>
</form>

